ICUNormalizer2CharFilter (Lucene 10.5.0 icu API)
Description: declaration: package: org.apache.lucene.analysis.icu, class: ICUNormalizer2CharFilter

Package org.apache.lucene.analysis.icu

# Class ICUNormalizer2CharFilter

java.lang.Object
java.io.Reader
org.apache.lucene.analysis.CharFilter
org.apache.lucene.analysis.charfilter.BaseCharFilter
org.apache.lucene.analysis.icu.ICUNormalizer2CharFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public final class ICUNormalizer2CharFilter extends BaseCharFilter
Normalize token text with ICU's `Normalizer2`.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.CharFilter

  `input`

  ### Fields inherited from class java.io.Reader

  `lock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ICUNormalizer2CharFilter(Reader in)`
  Create a new Normalizer2CharFilter that combines NFKC normalization, Case Folding, and removes Default Ignorables (NFKC_Casefold)
  `ICUNormalizer2CharFilter(Reader in, com.ibm.icu.text.Normalizer2 normalizer)`
  Create a new Normalizer2CharFilter with the specified Normalizer2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read(char[] cbuf, int off, int len)`

  ### Methods inherited from class org.apache.lucene.analysis.charfilter.BaseCharFilter

  `addOffCorrectMap, correct, getLastCumulativeDiff`

  ### Methods inherited from class org.apache.lucene.analysis.CharFilter

  `close, correctOffset`

  ### Methods inherited from class java.io.Reader

  `mark, markSupported, nullReader, read, read, read, ready, reset, skip, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ICUNormalizer2CharFilter

    public ICUNormalizer2CharFilter(Reader in)
    Create a new Normalizer2CharFilter that combines NFKC normalization, Case Folding, and removes Default Ignorables (NFKC_Casefold)

  - ### ICUNormalizer2CharFilter

    public ICUNormalizer2CharFilter(Reader in, com.ibm.icu.text.Normalizer2 normalizer)
    Create a new Normalizer2CharFilter with the specified Normalizer2
    Parameters:
      `in` - text
      `normalizer` - normalizer to use

- ## Method Details

  - ### read

    public int read(char[] cbuf, int off, int len) throws IOException
    Specified by:
      `read` in class `Reader`
    Throws:
      `IOException`